com.ihr.xbrl.mapper

## Class Anchor

- java.lang.Object
- - com.ihr.xbrl.mapper.Anchor

-     public class Anchor
      extends java.lang.Object

  This class is used inside a section. Holds the relationship between the section and the taxonomy in order to automatically assign the same section to all elements that should belong to it.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Anchor(Section parent, javax.xml.namespace.QName element, java.lang.String uri)` Instantiates a new anchor.
    `Anchor(net.sf.saxon.s9api.XdmNode node, Section parent)` Create an anchor from a node.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jdom.Element` | `generateNode(boolean relativize, java.net.URI base)` Generate node.
    `javax.xml.namespace.QName` | `getElement()` Gets the element.
    `Section` | `getParent()` Gets the parent.
    `java.lang.String` | `getURI()` Gets the uri.
    `void` | `setElement(javax.xml.namespace.QName element)` Sets the element.
    `void` | `setURI(java.lang.String uri)` Sets the uri.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Anchor

          public Anchor(net.sf.saxon.s9api.XdmNode node,
                Section parent)
                 throws MapConfigurationFileException

      Create an anchor from a node.
      Parameters:
        `node` - the node
        `parent` - the parent
      Throws:
        `MapConfigurationFileException` - the map configuration file exception

    - #### Anchor

          public Anchor(Section parent,
                javax.xml.namespace.QName element,
                java.lang.String uri)

      Instantiates a new anchor.
      Parameters:
        `parent` - the parent
        `element` - the element
        `uri` - the uri

  - ### Method Detail

    - #### getElement

          public javax.xml.namespace.QName getElement()

      Gets the element.
      Returns:
        the element

    - #### getURI

          public java.lang.String getURI()

      Gets the uri.
      Returns:
        the uri

    - #### setElement

          public void setElement(javax.xml.namespace.QName element)

      Sets the element.
      Parameters:
        `element` - the element to set

    - #### setURI

          public void setURI(java.lang.String uri)

      Sets the uri.
      Parameters:
        `uri` - the uri to set

    - #### getParent

          public Section getParent()

      Gets the parent.
      Returns:
        the parent

    - #### generateNode

          public org.jdom.Element generateNode(boolean relativize,
                                      java.net.URI base)

      Generate node.
      Parameters:
        `relativize` - the relativize
        `base` - the base
      Returns:
        the element